r.out.tiff(1)

NAME
r.out.tiff - Exports a GRASS raster file to a 8/24bit TIFF image file at the pixel resolution of the currently defined region.

SYNOPSIS
r.out.tiff
r.out.tiff help
r.out.tiff [-ptlv] input=string output=string [compression=string]

  Flags:

-p  TIFF Palette output (8bit instead of 24bit).

-t  Output TIFF world file

-l  Output Tiled TIFF

-v  Verbose mode.

  Parameters:

input=string
    Existing raster file name

output=string
    File name for new TIFF file.

compression=string
    TIFF file compression Options: none,packbit,deflate Default: none

DESCRIPTION
This program converts a GRASS raster file to a TIFF raster file. Output may be 8 or 24 bit (TrueColor). Optionally, a TIFF World file compatible with ESRI's and other's products may be output.

The program prompts the user for the name of a GRASS raster file, an output TIFF file, whether an 8 or 24 bit format is desired, and whether or not to create a TIFF world file. Currently only uncompressed, packpit, or deflate TIFF files are written. These output formats are known to be compatible with r.in.tiff.

When writing with "-l" option, tiles are written at 128x128 pixels. For programs that can utilize tiles, it can help speed up some drawing operations.

The user may adjust region and resolution before export using g.region.

A better choice to export GRASS raster data might be r.out.gdal.

SEE ALSO
g.region, r.in.gdal, r.out.gdal, r.in.tiff

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

GRASS 5.0 team

Last changed: $Date: 2004/06/30 16:15:02 $

Help Index